import { Component, inject } from '@angular/core';
import { FormsModule } from '@angular/forms';
import { NgbActiveModal } from '@ng-bootstrap/ng-bootstrap';

import SharedModule from 'app/shared/shared.module';
import { ITEM_DELETED_EVENT } from 'app/config/navigation.constants';
import { IVariableCategory } from '../variable-category.model';
import { VariableCategoryService } from '../service/variable-category.service';

@Component({
  standalone: true,
  templateUrl: './variable-category-delete-dialog.component.html',
  imports: [SharedModule, FormsModule],
})
export class VariableCategoryDeleteDialogComponent {
  variableCategory?: IVariableCategory;

  protected variableCategoryService = inject(VariableCategoryService);
  protected activeModal = inject(NgbActiveModal);

  cancel(): void {
    this.activeModal.dismiss();
  }

  confirmDelete(id: number): void {
    this.variableCategoryService.delete(id).subscribe(() => {
      this.activeModal.close(ITEM_DELETED_EVENT);
    });
  }
}
